pushd %~dp0

:chkhwid-AX201
DeviceCheck.exe /All /HWID /D /S:"USB\VID_8087&PID_0026"
if %errorlevel% == 0 goto :ins-AX201
if not %errorlevel% == 0 goto :chkhwid-AX211

:ins-AX201
pnputil -i -a "%~dp0HRP\ibtusb.inf"
goto :ins-ibt

:chkhwid-AX211
DeviceCheck.exe /All /HWID /D /S:"USB\VID_8087&PID_0033"
if %errorlevel% == 0 goto :ins-AX211
if not %errorlevel% == 0 goto :MTK_7921

:ins-AX211
pnputil -i -a "%~dp0GFP\ibtusb.inf"

:MTK_7921
DeviceCheck.exe /All /HWID /D /S:"USB\VID_13D3&PID_3564"
if %errorlevel% == 0 goto :ins-7921
if not %errorlevel% == 0 goto :Realtek

:ins-7921
pnputil -i -a "%~dp0MTK\mtkbtfilter.inf"

:Realtek
DeviceCheck.exe /All /HWID /D /S:"USB\VID_0CB8&PID_C559"
if %errorlevel% == 0 goto :ins-Realtek
if not %errorlevel% == 0 goto :end

:ins-Realtek
pnputil -i -a "%~dp0Realtek\x64\Rtkfilter.inf"

:goto :end

:end
echo done


